---
- name: Destroy 
  hosts: all 
  gather_facts: false
  tasks:
    - name: find host
      shell: "vagrant global-status | grep '[[:space:]]{{ inventory_hostname }}[[:space:]]' | awk -F' ' '{ print $NF }'"
      register: target_hash
      delegate_to: localhost
    - name: destroy host
      shell: "cd {{ target_hash.stdout }} && vagrant destroy -f"
      delegate_to: localhost
    - name: prune host
      shell: "vagrant global-status --prune"
      delegate_to: localhost
